Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class DecisionMobilityToolType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.DecisionMobilityToolType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:23:03+01:00",
               comments="JAXB RI v2.2.11")
    public class DecisionMobilityToolType

extends Object
implements Serializable

Generiek type voor het mobiliteitshulpmiddel in een beslissing.

Java class for DecisionMobilityToolType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionMobilityToolType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionBasicEquipmentType" minOccurs="0"/>
             <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionAccessoryType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecisionMobilityToolType()`

Method Summary
`List<DecisionAccessoryType>` | `getAccessories()` Gets the value of the accessories property.
`DecisionBasicEquipmentType` | `getBasicEquipment()` Gets the value of the basicEquipment property.
`void` | `setBasicEquipment(DecisionBasicEquipmentType value)` Sets the value of the basicEquipment property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionMobilityToolType

    public DecisionMobilityToolType()

Method Detail

### getBasicEquipment

    public DecisionBasicEquipmentType getBasicEquipment()

  Gets the value of the basicEquipment property.

  Returns:
    possible object is `DecisionBasicEquipmentType`

### setBasicEquipment

    public void setBasicEquipment(DecisionBasicEquipmentType value)

  Sets the value of the basicEquipment property.

  Parameters:
    `value` - allowed object is `DecisionBasicEquipmentType`

### getAccessories

    public List<DecisionAccessoryType> getAccessories()

  Gets the value of the accessories property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessories property.

  For example, to add a new item, do as follows:

          getAccessories().add(newItem);

  Objects of the following type(s) are allowed in the list `DecisionAccessoryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.